# Uses of Interface
org.apache.wiki.auth.acl.AclEntry

Packages that use AclEntry
Package
Description
org.apache.wiki.auth.acl
Access Control List implementation.

## Uses of AclEntry in org.apache.wiki.auth.acl

Classes in org.apache.wiki.auth.acl that implement AclEntry
Modifier and Type
Class
Description
`class`
`AclEntryImpl`
Implementation of a JSPWiki AclEntry.
Methods in org.apache.wiki.auth.acl that return AclEntry
Modifier and Type
Method
Description
`default AclEntry`
Acl.`getEntry(Principal principal)`
Deprecated.
use `Acl.getAclEntry(Principal)` instead.
Methods in org.apache.wiki.auth.acl that return types with arguments of type AclEntry
Modifier and Type
Method
Description
`default Enumeration<AclEntry>`
Acl.`entries()`
Deprecated.
use `Acl.aclEntries()` instead.
Methods in org.apache.wiki.auth.acl with parameters of type AclEntry
Modifier and Type
Method
Description
`default boolean`
Acl.`addEntry(AclEntry entry)`
Deprecated.
use `Acl.addEntry(org.apache.wiki.api.core.AclEntry)` instead.
`default boolean`
Acl.`removeEntry(AclEntry entry)`
Deprecated.
use `Acl.removeEntry(org.apache.wiki.api.core.AclEntry)` instead.